Subject: RE: admin dist/gp spec proposal

From: "Natale, Jonathan" <[email-masked]>
Date: Tue, 10 Sep 2002 09:19:25 -0400

I agree, it mention that the BGP Router ID *should*
match the Router ID as used by the other routing protocols.

Let's here the reasons why it should not be mentioned (other than the
draconian fact that this is a bgp and only bgp spec)...

-----Original Message-----
From: Manav Bhatia [mailto:[email-masked]] 
Sent: Monday, September 09, 2002 4:00 AM
To: Yakov Rekhter; Natale, Jonathan
Cc: 'Abarbanel, Benjamin'; [email-masked]
Subject: Re: admin dist/gp spec proposal

Yakov and others,
draft-ietf-isis-traffic-04.txt states that if some router advertises the
router ID TLV (containing the 4-octet router ID of the router originating
the LSP) in its LSP, and if it also advertises BGP routes with the BGP next
hop set to the BGP router ID (which is what is usually done), then in such
cases, the TE router ID should match the BGP router ID.

I think this warrants the need to mention that the BGP Router ID *should*
match the Router ID as used by the other routing protocols. Moreover i dont
see any need for the router IDs to *not* match for the BGP and IGPs and i
am sure that there will not be any operators assigning different Router IDs
for the same.

Or am i missing something here?

Manav

----- Original Message -----
From: "Yakov Rekhter" <[email-masked]>
To: "Natale, Jonathan" <[email-masked]>
Cc: "'Abarbanel, Benjamin'" <[email-masked]>;
<[email-masked]>
Sent: Saturday, September 07, 2002 1:13 AM
Subject: Re: admin dist/gp spec proposal

| Natale,
|
| > 1745 and 1403 are historic
|
| correct. And with this in mind I would suggest we stop reference/pointing
| to them.
|
| Yakov.
|
| > -----Original Message-----
| > From: Abarbanel, Benjamin [mailto:[email-masked]]
| > Sent: Friday, September 06, 2002 3:38 PM
| > To: 'Natale, Jonathan'; Abarbanel, Benjamin; 'Yakov Rekhter'
| > Cc: [email-masked]
| > Subject: RE: admin dist/gp spec proposal
| >
| >
| >
| > >
| > > Not that I am aware of.  There certainly is a case where they
| > > must be the
| > > same (cisco bgp w/ ospf, don't know all the details of
| > > how/why).
| >
| > RFC1745, and RFC1403 tell you why they must be the same.
| >
| > > Maybe the local admin method of numbering is more versatile by
allowing
| > > them to be different.  I think they should MUST be the same and in
some
| > > implementation they are (gated, bay).
| > >
| > > -----Original Message-----
| > > From: Abarbanel, Benjamin [mailto:[email-masked]]
| > > Sent: Friday, September 06, 2002 3:29 PM
| > > To: 'Yakov Rekhter'; Abarbanel, Benjamin
| > > Cc: Natale, Jonathan; [email-masked]
| > > Subject: RE: admin dist/gp spec proposal
| > >
| > >
| > > >
| > > > > I would like to rephrase my statement on one sentence.
| > > > >
| > > > > " BTW. BGP Identifier is a vague way of naming what we know as
the
| > > > >   Router-ID in all other IP related protocols."
| > > >
| > > > This is *technically* incorrect.
| > > >
| > > Is there a case where the BGP Identifier, should or must be
| > > different than
| > > the Router-ID for the routing system to work correctly?
| > >
| > > Ben
| > >
| > >
| > > >
| > > > >
| > > > >
| > > > > > -----Original Message-----
| > > > > > From: Abarbanel, Benjamin
| > > [mailto:[email-masked]]
| > > > > > Sent: Friday, September 06, 2002 3:01 PM
| > > > > > To: 'Yakov Rekhter'; Natale, Jonathan
| > > > > > Cc: [email-masked]
| > > > > > Subject: RE: admin dist/gp spec proposal
| > > > > >
| > > > > >
| > > > > > Yakov:
| > > > > >   There is no reference to RFC1812 in the reference section
| > > > > > nor references
| > > > > > to this spec where appropriate in the BGP relevant
| > > > > > discussions. As was
| > > > > > earlier mentioned. At least we need to tie the thread
| > > > between the two
| > > > > > specs so people know what the assumptions are.
| > > > > >
| > > > > > BTW. BGP Identifier is a very misleading way of naming what
| > > > > > we know as the
| > > > > > Router ID in all other protocols. I would like to suggest we
| > > > > > enhance its
| > > > > > description as follows:
| > > > > >
| > > > > > Current statement:
| > > > > > ==================
| > > > > > "BGP Identifier:
| > > > > >
| > > > >          This 4-octet unsigned integer indicates the BGP
| > > > Identifier of
| > > > > >          the sender. A given BGP speaker sets the value
| > > of its BGP
| > > > > >          Identifier to an IP address assigned to that BGP
| > > > > > speaker.  The
| > > > > >          value of the BGP Identifier is determined on startup
| > > > > > and is the
| > > > > >          same for every local interface and every BGP peer. "
| > > > > >
| > > > > > New Statement:
| > > > > > ==============
| > > > > > "BGP Identifier:
| > > > > >
| > > > > >          This 4-octet unsigned integer indicates the BGP
| > > > Identifier of
| > > > > >          the sender. A given BGP speaker sets the value
| > > of its BGP
| > > > > >          Identifier also known as the Router-ID, to an IP
| > > > > > address assigned
| > > > > >          to that BGP speaker. The value of the BGP
| > > Identifier is
| > > > > >          determined on startup and is the same for every
| > > > > > local interface
| > > > > >          and every BGP peer and other IP related protocols.
| > > > > > See [x],[y] for
| > > > > >          more details on Router-ID useage between BGP and
| > > > > > other protocols."
| > > > > >
| > > > > > Where x = RFC1403,
| > > > > >       y = RFC1745
| > > > > >
| > > > > > Ben
| > > > > > > -----Original Message-----
| > > > > > > From: Yakov Rekhter [mailto:[email-masked]]
| > > > > > > Sent: Friday, September 06, 2002 2:31 PM
| > > > > > > To: Natale, Jonathan
| > > > > > > Cc: [email-masked]
| > > > > > > Subject: Re: admin dist/gp spec proposal
| > > > > > >
| > > > > > >
| > > > > > > Natale,
| > > > > > >
| > > > > > > >
| > > > > > > >
| > > > > > > > -----Original Message-----
| > > > > > > > From: Abarbanel, Benjamin
| > > > [mailto:[email-masked]]
| > > > > > > > Sent: Friday, September 06, 2002 1:49 PM
| > > > > > > > To: 'Natale, Jonathan'
| > > > > > > > Subject: RE: admin dist/gp spec proposal
| > > > > > > >
| > > > > > > > Jonathan:
| > > > > > > > Forward this message to the IDR list. I think we
| > > dropped off.
| > > > > > > >
| > > > > > > > Ben
| > > > > > > >
| > > > > > > > > -----Original Message-----
| > > > > > > > > From: Natale, Jonathan [mailto:[email-masked]]
| > > > > > > > > Sent: Friday, September 06, 2002 1:46 PM
| > > > > > > > > To: 'Abarbanel, Benjamin'
| > > > > > > > > Subject: RE: admin dist/gp spec proposal
| > > > > > > > >
| > > > > > > > >
| > > > > > > > > I agree.  The default values of the various
| > > > protocols as they
| > > > > > > > > are currently
| > > > > > > > > implemented make sense:
| > > > > > > > > Connected
| > > > > > > > > Static
| > > > > > > > > Ebgp
| > > > > > > > > Igp's
| > > > > > > > > Ibgp
| > > > > > > > >
| > > > > > > > > ...they should be documented in 1812 ideally, but
| > > > putting it
| > > > > > > > > in 1771 would
| > > > > > > > > not hurt.  Added a phrase to indicate that they
| > > may be user
| > > > > > > > > configurable is
| > > > > > > > > good too.
| > > > > > >
| > > > > > > Perhaps it is time to update 1812. But let's not use BGP
| > > > > > > spec as a replacement for updating 1812 - it is not.
| > > > > > >
| > > > > > > Yakov.
| > > > > > >
| > > > > > > > >
| > > > > > > > > -----Original Message-----
| > > > > > > > > From: Abarbanel, Benjamin
| > > > > [mailto:[email-masked]]
| > > > > > > > Sent: Friday, September 06, 2002 11:39 AM
| > > > > > > > To: 'Mathew Richardson'; Natale, Jonathan
| > > > > > > > Cc: [email-masked]
| > > > > > > > Subject: RE: admin dist/gp spec proposal
| > > > > > > >
| > >

---

From: Yakov Rekhter <[email-masked]>
Date: Tue, 10 Sep 2002 06:48:32 -0700

Jonathan,

> draconian fact that this is a bgp and only bgp spec)...

As Curtis said in his e-mail:

  It is really not a protocol requirement.  It is a good practice, but
  if we document all good (and bad) practices for using BGP we'd have a
  huge document.
  ...

  It is best that the applicability statement or other BCP document the
  good and bad practices for using BGP.  How to configure router IDs to
  maintain the sanity of your operations staff is usage of BGP.

With this in mind I would suggest that the folks who are interested
in documenting relation between BGP Identifier and router identifiers
used by other protocols (e.g., OSPF Router ID) should produce an internet 
draft, and submit it to the IDR WG with the goal of publishing it as a BCP.

Yakov.

---

From: Jeffrey Haas <[email-masked]>
Date: Tue, 10 Sep 2002 10:26:52 -0400

> draft, and submit it to the IDR WG with the goal of publishing it as a BCP.

And whilst doing so, think of other things that belong in the replacement
for rfc 1772. 

You've all read that, haven't you? :-)

-- 
Jeff Haas 
NextHop Technologies